| OpenCV 3.4.8 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | List of all members
cv::detail::ExposureCompensator Class Referenceabstract
Images stitching » Exposure Compensation

Base class for all exposure compensators. More...

`#include <opencv2/stitching/detail/exposure_compensate.hpp>`

Inheritance diagram for cv::detail::ExposureCompensator:

## Public Types
enum | { NO, GAIN, GAIN_BLOCKS }

## Public Member Functions
virtual | ~ExposureCompensator ()
virtual void | apply (int index, Point corner, InputOutputArray image, InputArray mask)=0
| Compensate exposure in the specified image. More...
void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< UMat > &masks)
virtual void | feed (const std::vector< Point > &corners, const std::vector< UMat > &images, const std::vector< std::pair< UMat, uchar > > &masks)=0

## Static Public Member Functions
static Ptr< ExposureCompensator > | createDefault (int type)

## Detailed Description

Base class for all exposure compensators.

## Member Enumeration Documentation

## § anonymous enum

anonymous enum

Enumerator
NO |
GAIN |
GAIN_BLOCKS |

## Constructor & Destructor Documentation

## § ~ExposureCompensator()

virtual cv::detail::ExposureCompensator::~ExposureCompensator | ( |  | ) |
| inline virtual

## Member Function Documentation

## § apply()

virtual void cv::detail::ExposureCompensator::apply | ( | int | index,
|  | Point | corner,
|  | InputOutputArray | image,
|  | InputArray | mask
| ) |  |
| pure virtual

Compensate exposure in the specified image.

Parameters

  index | Image index
  corner | Image top-left corner
  image | Image to process
  mask | Image mask

Implemented in cv::detail::BlocksGainCompensator, cv::detail::GainCompensator, and cv::detail::NoExposureCompensator.

Examples:
  samples/cpp/stitching_detailed.cpp.

## § createDefault()

static Ptr<ExposureCompensator> cv::detail::ExposureCompensator::createDefault | ( | int | type | ) |
| static

## § feed() [1/2]

void cv::detail::ExposureCompensator::feed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< UMat > & | masks
| ) |  |

Parameters

  corners | Source image top-left corners
  images | Source images
  masks | Image masks to update (second value in pair specifies the value which should be used to detect where image is)

Examples:
  samples/cpp/stitching_detailed.cpp.

## § feed() [2/2]

virtual void cv::detail::ExposureCompensator::feed | ( | const std::vector< Point > & | corners,
|  | const std::vector< UMat > & | images,
|  | const std::vector< std::pair< UMat, uchar > > & | masks
| ) |  |
| pure virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Implemented in cv::detail::BlocksGainCompensator, cv::detail::GainCompensator, and cv::detail::NoExposureCompensator.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/exposure_compensate.hpp